NGGETC(3NCARG)

NAME
NGGETC - Used to retrieve the current value of a specified internal parameter.

SYNOPSIS
CALL NGGETC (CNP,CVP)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_nggetc (char *cnp, char *cvp, int len)

DESCRIPTION

CNP (an input expression of type CHARACTER) is the name of an internal parameter of Ngmisc. Only the first two characters of the string are examined.

CVP (an output variable of type CHARACTER) is the name of a variable into which the value of the parameter specified by CNP is to be retrieved.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions with the following exception:

len The size of cvp as dimensioned in the calling program.

USAGE
This routine allows you to retrieve the current value of Ngmisc parameters. For a complete list of parameters available in this utility, see the ngmisc_params man page.

ACCESS
To use NGGETC or c_nggetc, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: ngmisc_params, ngsetc, ngseti, nggeti, ngsetr, nggetr, ncarg_cbind.

Online URL: http://ngwww.ucar.edu/ngdoc/ng/gks/gkshome.html

Hardcopy: NCAR Graphics Fundamentals, UNIX Version;

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.